### Method

# Spelling Provider load_dictionary

#### Declaration [src]

    SpellingDictionary*
    spelling_provider_load_dictionary (
      SpellingProvider* self,
      const char* language
    )

#### Description [src]

Gets a `SpellingDictionary` for the requested language, or `NULL` if the language is not supported.

#### Parameters

`language`

  Type: `const char*`

  The language to load such as `en_US`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `SpellingDictionary`

A `SpellingDictionary` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.